body {
    margin: 0;
    background: #363e46;
    font-family: sans-serif;
}

.nav-container {
    position: sticky;
    top: 0;
    z-index: 1000;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    position: sticky;
    display: flex;
    justify-content: left;
    background: #53606c;
}

li {
    padding: 20px;
    margin: 10px 50px;
    color: white;
    background-color: #3a638c;
    border-radius: 10px;
}

li > a {
    text-decoration: none;
}

li > a:visited {
    color: white;
}

li > a:hover {
    color: #9fb2c5;
    text-decoration: none;
}

li > a:active {
    color: pink;
}

h1 {
    font-size: 100px;
    text-align: center;
    color: wheat;
    animation: fadeInUp 1.8s ease forwards;
}

h2 {
    padding-top: 100px;
    /* may need to remove this later, just so that the projects 
    title isnt hidden under navbar when clicking on the button */
}

@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(-100px);
    } 
    to {
        opacity: 1;
        transform: translateY(0px);
    }
}

#home-button {
    /* transform: translateX(-1700px); */
}

.hero-container {
    margin: 0 530px;
    display: flex;
    flex-direction: column;
    align-items: center;   
    color: white;
    font-weight: 600;
    font-size: 20px; 
}

#hero-button {
    width: 100px;
    height: 50px;
}

.projects-container {
    background-color: #363e46;
    text-align: center;
    margin-bottom: 200px;
}

.projects-container  h2{
    color: white;
    font-size: 30px;
}

.p-card-container {
    width: 100%;
    height: 800px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.p-pic {
    width: 250px;
    height: 150px;
    object-fit:cover;
}

.p-card {
    text-align: center;
    display:flex;
    flex-direction: column;
    /* justify-content: center; */
    align-items: center;
    width: 450px;
    height: 400px;
    padding: 10px;
    background-color: rgb(72, 73, 85);
    border-radius: 20%;
    margin: 20px;
    border: 3px solid rgb(214, 214, 214);
    color: white;
    transition: box-shadow 0.3s, transform 0.3s;
}

.p-card:hover {
    box-shadow: 0 0 25px rgb(175, 166, 235);
    transform: scale(1.04);
}

a {
    color: rgb(105, 156, 201);
    text-decoration: underline;
    cursor: pointer;
}

a:visited {
    color: #d091e1;
}

a:hover {
    color:#9fb2c5;
    text-decoration: none;
}

a:active {
    color: #e9eff5;
}